kas apropos                AFS Commands             kas apropos


NAME

   kas apropos -- show each help entry containing keyword.


   kas apropos  -topic <help string>  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   kas a  -t <help string>  [-h]

DESCRIPTION

   Displays  the  first  line  of  the  help  entry for any kas
   command  that  has  help  string  in  its  name   or   short
   description.

ARGUMENTS

   -topic
         specifies the keyword string to search for.  If it  is
         more  than  a  single  word,  surround  it with double
         quotes or other delimiters.  Type all help strings for
         kas commands in all lowercase letters, except the word
         "AuthServer."

   -help prints the online help  for  this  command.    Do  not
         provide  any  other  arguments or flags with this one.
         See section 4.3  in  the  Reference  Manual  for  more
         details.

OUTPUT

   The  first  line  of a command's online help entry names the
   command and briefly describes what it does.  The kas apropos
   command  displays  that first line for any kas command where
   help string is part of the command name or first line.

   To see the remaining lines in a help  entry,  which  provide
   the  command's  alias  (if any) and syntax, use the kas help
   command.

EXAMPLE

   The following lists all kas  commands  that  have  the  word
   "key" in their operation code or short online description.

       % kas a key
       getrandomkey: get a random key
       setkey: set a user's key
       stringtokey: convert a string to a key



PRIVILEGE REQUIRED

   None.  No password will be prompted for.

MORE INFORMATION

   kas help
